<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$codigo_venta = DataForms::GET('id');
$cod_cliente = DataForms::GET('cod_cliente');
$contador_ventas = DataForms::GET('contador_ventas');

$title = 'ESTA SEGURO DE CANCELAR LA VENTA No:'.$contador_ventas.' ???';
echo "<title>".AppName.' - '.$title."</title>";

$Ubicacion = new DB();
$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones ubi, rol_usuarios us
WHERE ubi.ubica_codigo = us.ubica_codigo
AND us.us_id='$USID';";
$Ubicacion->dbSQL($sqlUbicacion);
if($Ubicacion->next())
	$ubica_nombre = $Ubicacion->dbField('ubica_nombre');
else
	$ubica_nombre = 'Central';

$Cliente	= new DB();
$sqlCliente = "SELECT * FROM inventarios_clientes cli, inventarios_ubicaciones ubi
WHERE cli.clie_puntoentrega = ubi.ubica_codigo
AND cli.clie_codigo = '$cod_cliente';";
$Cliente->dbSQL($sqlCliente);
$Cliente->next();
	$clie_id = $Cliente->dbField('clie_id');
	$clie_codigo = $Cliente->dbField('clie_codigo');
	$clie_cinit = $Cliente->dbField('clie_cinit');
	$clie_nombres = $Cliente->dbField('clie_nombres');
	$clie_apellidos = $Cliente->dbField('clie_apellidos');
	$clie_destino = $Cliente->dbField('clie_destino');
	$clie_celular = $Cliente->dbField('clie_celular');
	$clie_puntolista = $Cliente->dbField('clie_puntolista');
	$clie_puntoentrega = $Cliente->dbField('clie_puntoentrega');
	$clie_personarecoge = $Cliente->dbField('clie_personarecoge');
	$clie_tipopagonombre = $Cliente->dbField('clie_tipopagonombre');
	$clie_descuento = $Cliente->dbField('clie_descuento');
	$ubicacion_nombre = $Cliente->dbField('ubica_nombre');
?>
<style>
td{
	border:1px solid #cccccc;
	padding:4px;
}
th{background:#1269DB;
	padding:4px;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>

</head>
<body>
	
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title" align=center><h1><b><?php echo $title?></b></h1></div>
								</div>
								<div class="card-body">
								<h3>N°: 0000<?php echo $contador_ventas;?></h3>
									
									<div class="row">										
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<b>Cliente:</b> <?php echo $clie_nombres.' '.$clie_apellidos ?><br>
												<b>CI/NIT: </b> <?php echo $clie_cinit ?><br>
												<b>Destino: </b> <?php echo $clie_destino ?><br>
												<b>Celular: </b> <?php echo $clie_celular ?>
											</div>																																
										</div>									
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<b>Punto realización de Lista: </b> <?php echo $clie_puntolista ?><br>
												<b>Punto de Entrega Mercadería: </b> <?php echo $ubicacion_nombre ?><br>
												<b>Persona que recoge la Mercadería: </b>  <?php echo $clie_personarecoge ?><br>
												<b>Tipo de Pago: </b>  <?php echo $clie_tipopagonombre ?>												
										</div>		
									</div>
									<div class="col-md-12 col-lg-12">
									<table WIDTH="100%" class="table-striped table-hover">
											<thead>
												<tr>													
													<th>item</th>
													<th>descripción</th>
													<th>ubicacion</th>
													<th>cajas</th>
													<th>unidades</th>													
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
											WHERE prod.ubica_codigo = ubi.ubica_codigo
											AND ven.ubica_codigo = ubi.ubica_codigo
											AND ven.prod_codigo = prod.prod_codigo
											AND ven.ven_codigo = '$codigo_venta';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;												
												$ubica_nombre = $db->dbField('ubica_nombre');	
												$ubica_color = $db->dbField('ubica_color');			

												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_observaciones = $db->dbField('prod_observaciones');


												$ven_tipo = $db->dbField('ven_tipo');
												//ventas
												$ven_id = $db->dbField('ven_id');
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');
												  switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'unidades';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja*12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
												  }
												

												$total = $total + $ven_precio;
												$html.='<tr>';
													$html.='<td>'.$prod_item.'</td>';
													$html.='<td><b>'.$prod_nombre.'</b></td>';
													$html.='<td align=center>
														<span>'.$ubica_nombre.'</span></td>';
													
													$html.='<td align=right>'.$ven_cantidad.' '.$unicaja.'</td>';
													$html.='<td align=right>'.($cantidades).'</td>';
													$html.='<td align=right>'.$precios.'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
												$html.='</tr>';											
												
											}//wend() 

											$html.= '<tr><td colspan=7 align=right><h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
											$html.= '<tr><td colspan=7 align=right><h3>Descuento: Bs. '.number_format($clie_descuento,2).'</h3></td></tr>';
											$html.= '<tr><td colspan=7 align=right><h3><b>Subtotal menos Descuento: Bs. '.number_format(($total-$clie_descuento),2).'</b></h3></td></tr>';
										
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>	
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<button onclick='self.location="<?php echo PATH_HOME."cajas-cobrar/ver";?>";' class="btn btn-info" type='button'><b> &nbsp;&nbsp; NO &nbsp;&nbsp;</b></button>	
									<button id='bntBorrar' class="btn btn-danger" type='button'><b>SI CANCELAR </b></button>	
									
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		
</body>
</html>
<script>
$('#bntBorrar').click(function(){
  $.post('<?php echo PATH_HOME.'cajeros-borrarventa2/'. md5(uniqid()); ?>',{
	'codigo': '<?php echo $codigo_venta; ?>',	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});
</script>